<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
session_start();
require_once('core.php');

/* cache templates */
tt_cache(120, 'no');



/* prepare inputs */
$page = isset($_GET['page']) ? addslashes($_GET['page']) : false;
$order = isset($_GET['order']) ?  addslashes($_GET['order']) : false;
$by = isset($_GET['by']) ?  addslashes($_GET['by']) : false;
$perpage = isset($_GET['perpage']) ? (int)$_GET['perpage'] : 0;
$theme = isset($_GET['theme']) ? (int)$_GET['theme'] : 0;

if ($perpage > 0)
{
	$CURUSER['perpage'] = $perpage;
    $db->query("UPDATE ".$dbprfx."members SET perpage='".$perpage."' WHERE username = '".$_SESSION['username']."'");
}



if ($theme > 0)
{
	$CURUSER['theme'] = $theme;
    $themenow = $db->fetch_row('SELECT * FROM '.$dbprfx.'themes WHERE id = "'.$theme .'" LIMIT 1');
    $tt_theme = $themenow['file'];
    $db->query("UPDATE ".$dbprfx."members SET theme='".$theme."' WHERE username = '".$_SESSION['username']."'");
}


/* initiate template class */
tt_template_start('Welcome');


/* get latest news */
$result = $db->query('SELECT * FROM '.$dbprfx.'news ORDER BY id DESC LIMIT 5');


$newslist = array();

while ($row = $db->fetch_array($result))
	{

	$newslist[] = array(
	'member' => $users[$row['id']]['username'],
	'added' => $row['added'],
	'text' => $row['text']);
	}

	$tpl->addVar('newslist', $newslist);

/* get list of torrents */
switch ($by)
{
case "up" :
	$by = "ASC";
    break;
case "down" :
	$by = "DESC";
    break;
default:
	$by = "DESC";
    break;

}

switch ($order)
{
case "type" :
	$order = "category";
    break;
case "added" :
	$order = "added";
    break;
case "name" :
	$order = "name";
    break;
case "size" :
	$order = "size";
    break;
case "files" :
	$order = "files";
    break;
case "seeders" :
	$order = "seeders";
    break;
case "leechers" :
	$order = "leechers";
    break;
case "completed" :
	$order = "completed";
    break;
case "uppedby" :
	$order = "owner";
    break;
default:
	$order = "added";
    break;

}


$torrentlist = tt_list_torrents($CURUSER['perpage'], $page, $order, $by);

$tpl->addVar('torrentlist', $torrentlist);
$tpl->addVar('pager', tt_pager($CURUSER['perpage'], $page));

/* display online users */
$online = "<u>Legend:</u> [ ";
$result = $db->query("SELECT * FROM ".$dbprfx."groups ORDER BY id DESC");
while ($row = $db->fetch_array($result))
	  {
 		$online .= "<font color='".$row['color']."'>".$row['name']."</font> | ";
      }
$online .= "donor <img src=\"images/star.gif\"> ]<br><br>";

$users_online = $db->query("SELECT *  FROM ".$dbprfx."members WHERE (NOW() - lastvisit) < 1200");

$i = 0;
while ($row = $db->fetch_array($users_online))
{
if ($i > 0)
{
$online .=", ";
}

$i+=1;
$online .= "<a href='tt.user.profile.php?id=".$row['id']."'><font color='".color_group($row['groups'])."'>".$row['username']."</font></a>" ;

if ($row['donated'] > 0)
$online .= "<img src=\"images/star.gif\">";
}

if ($i == 0)
$online .= "0 members";

$peers = $db->count_rows("SELECT * FROM ".$dbprfx."torrents_peers ");
$guests = tt_get_guests();
$latest = $db->fetch_row("SELECT id,username FROM ".$dbprfx."members WHERE status='confirmed' ORDER BY id DESC LIMIT 1");

$users_online_last_24h = $db->query("SELECT *  FROM ".$dbprfx."members WHERE (NOW() - lastvisit) < 3600*24");

$i = 0;
if (!isset($online24h)) $online24h = '';
while ($row = $db->fetch_array($users_online_last_24h))
{
if ($i > 0)
{
$online24h .=", ";
}

$i+=1;
$online24h .= "<a href='tt.user.profile.php?id=".$row['id']."'><font color='".color_group($row['groups'])."'>".$row['username']."</font></a>" ;

if ($row['donated'] > 0)
$online24h .= "<img src=\"images/star.gif\">";
}

if ($i == 0)
$online24h .= "0 members";

$online = "<b>" . $online . "</b> and <b>" . $guests . " Guest" . ($guests != 1 ? "s" : "") . "</b> are online right now with <b>" . $peers . " active transfers</b><br> Welcome to our newest member <a href='tt.user.profile.php?id=".$latest['id']."'><b>".$latest['username']."</b></a>";

$online .= "<hr><b><u>Users connected during the last 24 hours :</u></b><br><br><b>".$online24h."</b><br><br>" ;

$tpl->addVar('online', $online);
$tpl->addVar('PHP_SELF',$PHP_SELF);



/* output page */
$tpl->display('theme/' . $tt_theme . '/templates/main_index_top.tpl');
$tpl->display('theme/' . $tt_theme . '/templates/main_index_news.tpl');
$tpl->display('theme/' . $tt_theme . '/templates/main_shoutbox.tpl');
$tpl->display('theme/' . $tt_theme . '/templates/torrents_list.tpl', $page);
$tpl->display('theme/' . $tt_theme . '/templates/main_index_online.tpl');
$tpl->display('theme/' . $tt_theme . '/templates/main_index_bottom.tpl');

tt_template_end('torrents_list.tpl');

?>