<?
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/


ob_start('ob_gzhandler');

/* core files */
require_once('admin/config.php');

/* some functions in the bencoding/bdecoding class */

function benc_resp_raw($x)
{
header("Content-Type: text/plain");
header("Pragma: no-cache");
print($x);
}

function benc_resp($d)
{
	benc_resp_raw(benc(array(type => "dictionary", value => $d)));
}


function benc($obj) {
	if (!is_array($obj) || !isset($obj["type"]) || !isset($obj["value"]))
		return;
	$c = $obj["value"];
	switch ($obj["type"]) {
		case "string":
			return benc_str($c);
		case "integer":
			return benc_int($c);
		case "list":
			return benc_list($c);
		case "dictionary":
			return benc_dict($c);
		default:
			return;
	}
}

function benc_str($s) {
	return strlen($s) . ":$s";
}

function benc_int($i) {
	return "i" . $i . "e";
}

function benc_list($a) {
	$s = "l";
	foreach ($a as $e) {
		$s .= benc($e);
	}
	$s .= "e";
	return $s;
}

function benc_dict($d) {
	$s = "d";
	$keys = array_keys($d);
	sort($keys);
	foreach ($keys as $k) {
		$v = $d[$k];
		$s .= benc_str($k);
		$s .= benc($v);
	}
	$s .= "e";
	return $s;
}


/* Error displaying function */

function err($msg,$redirect=false)
{
global $SITEURL;
if ($redirect==true)
{
echo "<br><br><center><b><font size=4>".$msg."</font></b>";
echo "<meta http-equiv=\"refresh\" content=\"3;url=".$SITEURL."\">";
exit();
}
else
{
benc_resp(array("failure reason" => array(type => "string", value => $msg)));
    exit();
}
}

/* get real ip - Special Thanks to Visigod for his contribution*/
function getip()
{
   if (getenv("HTTP_CLIENT_IP") && strcasecmp(getenv("HTTP_CLIENT_IP"), "unknown"))
           $ip = getenv("HTTP_CLIENT_IP");
       else if (getenv("HTTP_X_FORWARDED_FOR") && strcasecmp(getenv("HTTP_X_FORWARDED_FOR"), "unknown"))
           $ip = getenv("HTTP_X_FORWARDED_FOR");
       else if (getenv("REMOTE_ADDR") && strcasecmp(getenv("REMOTE_ADDR"), "unknown"))
           $ip = getenv("REMOTE_ADDR");
       else if (isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR'] && strcasecmp($_SERVER['REMOTE_ADDR'], "unknown"))
           $ip = $_SERVER['REMOTE_ADDR'];
       else
           $ip = "unknown";
   return($ip);
}

function unesc($x) {
    if (get_magic_quotes_gpc())
        return stripslashes($x);
    return $x;
}

function sqlesc($x) {
    return "'".mysql_real_escape_string($x)."'";
}

function hash_where($name, $hash) {
    $shhash = preg_replace('/ *$/s', "", $hash);
    return "($name = " . sqlesc($hash) . " OR $name = " . sqlesc($shhash) . ")";
}

function hex2bin($hexdata) {
  $bindata = "";
  for ($i=0;$i<strlen($hexdata);$i+=2) {
    $bindata.=chr(hexdec(substr($hexdata,$i,2)));
  }

  return $bindata;
}

  
/* Access allowed only to bittorrent clients */
$agent = $_SERVER["HTTP_USER_AGENT"];

// Deny access made with a browser...
if (ereg("^Mozilla\\/", $agent) || ereg("^Opera\\/", $agent) || ereg("^Links ", $agent) || ereg("^Lynx\\/", $agent))
	err("You are being redirect to main site, please wait !",true);


/*
$_GET['info_hash'] = hex2bin('996b92b2c2cc6ae6aa3c891ae2276d4d24f36d1d');
$_GET['ip'] = '83.10.10.10';
$_GET['user'] = 'a334325d8a6f3aba84daa8f4a8ddd5da';
$_GET['port'] = rand(20, 120);
$_GET['uploaded'] = rand(20, 120000);
$_GET['downloaded'] = rand(20, 120000);
$_GET['peer_id'] = 'S588-----gqQ8TqDeqaY';
$_GET['left'] = rand(0, 3000000);
$_GET['event'] = 'started';
$_GET['numwant'] = 50;
$_GET['compact'] = 0;
*/

/* Connection to mysql database */

mysql_connect($dbhost, $dbuser, $dbpass) or err("Error: connection to mysql failed !");
mysql_select_db($dbname) or err("Error: connection to database failed !");


$req = "passkey:info_hash:peer_id:!ip:port:uploaded:downloaded:left:!event:compact";
foreach (explode(":", $req) as $x)
{
	if ($x[0] == "!")
	{
		$x = substr($x, 1);
		$opt = 1;
	}
	else
		$opt = 0;
	if (!isset($_GET[$x]))
	{
		if (!$opt)
			err("Error: missing key ($x)");
		continue;
	}
	$GLOBALS[$x] = unesc($_GET[$x]);
}

foreach (array("info_hash","peer_id") as $x)
{
	if (strlen($GLOBALS[$x]) != 20)
		err("invalid $x (" . strlen($GLOBALS[$x]) . " - " . urlencode($GLOBALS[$x]) . ")");
}

if (empty($ip) || !preg_match('/^(\d{1,3}\.){3}\d{1,3}$/s', $ip))
	$ip = getip();

$port = (int)$port;
$downloaded = (int)$downloaded;
$uploaded = (int)$uploaded;
$left = (int)$left;

$rsize = 50;
foreach(array("num want", "numwant", "num_want") as $k)
{
	if (isset($_GET[$k]))
	{
		$rsize = 0 + $_GET[$k];
		break;
	}
}

if (!$port || $port > 0xffff)
	err("invalid port");

if (!isset($event))
	$event = "";

$seeder = ($left == 0) ? "yes" : "no";


$rz = mysql_query("SELECT id FROM ".$dbprfx."members WHERE passkey='$passkey' AND status='confirmed' LIMIT 1") or err('Error: cannot access members list !');

$az = mysql_fetch_array($rz);
  if ($az['id'] == '')
    err("Unrecognized host ($ip - $passkey). Please go to $SITEURL to sign-up or login."); 


// Windows compatibility section -- required for Windows servers
$usehash = false;
if (isset($_GET["info_hash"]))
{
	if (get_magic_quotes_gpc())
		$info_hash = stripslashes($_GET["info_hash"]);
	else
		$info_hash = $_GET["info_hash"];
	if (strlen($info_hash) == 20)
		$info_hash = bin2hex($info_hash);
	else if (strlen($info_hash) != 40)
		err("Invalid info hash value.");
	$info_hash = strtolower($info_hash);
	$usehash = true;
}

if ($usehash)
	$sql = mysql_query("SELECT id, banned, seeders, leechers ,seeders + leechers AS numpeers FROM ".$dbprfx."torrents WHERE info_hash='$info_hash'") or err("$info_hash - Database error. Cannot complete request.");
else
	$sql = mysql_query("SELECT id, banned, seeders, leechers ,seeders + leechers AS numpeers FROM ".$dbprfx."torrents FROM torrents ORDER BY info_hash") or err("Database error. Cannot complete request.");

$torrent = mysql_fetch_array($sql);
if (!$torrent)
	err("Error: torrent not found on this tracker - hash = " . $info_hash);

$torrentid = $torrent["id"];
$fields = "seeder, peer_id, ip, port, uploaded, downloaded, lastup, lastdown ,last_action";
$numpeers = $torrent["numpeers"];
$limit = "";
if ($numpeers > $rsize)
	$limit = "ORDER BY RAND() LIMIT $rsize";
	
$res = mysql_query("SELECT $fields FROM ".$dbprfx."torrents_peers WHERE torrent = $torrentid AND connectable = 'yes' $limit") or err("Error: cannot retrieve peers list !");

if($_GET['compact'] != 1)
{
//$resp = "d" . benc_str("interval") . "i" . $announce_interval . "e" . benc_str("peers") . "l";
$resp = 'd8:completei'.$torrent['seeders'].'e10:incompletei'.$torrent['leechers'].'e8:intervali'.$announce_interval.'e7:privatei1e5:peersl' ;
}
else
{
//$resp = "d" . benc_str("interval") . "i" . $announce_interval . "e5:"."peers"  ;
$resp = 'd8:completei'.$torrent['seeders'].'e10:incompletei'.$torrent['leechers'].'e8:intervali'.$announce_interval.'e5:peers' ;
}

$peer = array();
while ($row = mysql_fetch_assoc($res))
{
    if($_GET['compact'] != 1)
	{

		$row["peer_id"] = str_pad($row["peer_id"],20);
	
		if ($row["peer_id"] == $peer_id)
		{
			$self = $row;
			continue;
		}
	
		$resp .= "d" .
			benc_str("ip") . benc_str($row["ip"]) ;
	        if (!$_GET['no_peer_id']) {
				$resp .= benc_str("peer id") . benc_str($row["peer_id"]);
			}
			$resp .= benc_str("port") . "i" . $row["port"] . "e" .
			"e";
    }
    else
    {
		$peer_ip = explode('.', $row["ip"]);
		$peer_ip = pack("C*", $peer_ip[0], $peer_ip[1], $peer_ip[2], $peer_ip[3]);
		$peer_port = pack("n*", (int)$row["port"]);

		//$peerdata = pack('Nn', ip2long($row["ip"]), $row["port"]);
		
		
		$time = intval((time() % 7680) / 60);
		if($_GET['left'] == 0)
		{
			$time += 128;
		}
		$time = pack("C", $time);
		
		    $peer[] = $time /*.$peerdata; // */. $peer_ip . $peer_port;
			$peer_num++;




       }
}



if ($_GET['compact']!=1)
$resp .= "ee";
else
{
	for($i=0;$i<$peer_num;$i++)
		{
			$o .= substr($peer[$i], 1, 6);
		}
 $resp .= strlen($o) . ':' . $o . 'e' ;
}



$selfwhere = "torrent = $torrentid AND " . hash_where("peer_id", $peer_id);//." AND passkey = '".$passkey."' LIMIT 1";
 
if (!isset($self))
{
	$res = mysql_query("SELECT $fields FROM ".$dbprfx."torrents_peers WHERE $selfwhere");
	$row = mysql_fetch_assoc($res);
	if ($row)
		$self = $row;
}

$last_uploaded = isset($self['uploaded']) ? $self['uploaded'] : 0;
$last_downloaded = isset($self['downloaded']) ? $self['downloaded'] : 0;
$time= isset($self["last_action"]) ? (int)(strtotime( "now" ) -  strtotime( $self["last_action"] )) : 0 ;
if ($time >0)
{
$ulspeed = ($uploaded - $last_uploaded) / $time;
$dlspeed = ($downloaded - $last_downloaded) / $time;
}
else
{
$ulspeed = 0;
$dlspeed = 0;	
}

$diff_uploaded = $uploaded - $last_uploaded;
$diff_downloaded = $downloaded - $last_downloaded;

$updateset = array();



mysql_query("UPDATE ".$dbprfx."members SET ulspeed = $ulspeed, dlspeed = $dlspeed, uploaded = uploaded + $diff_uploaded, downloaded = downloaded + $diff_downloaded  WHERE id=$az[id]") or err("Error: cannot report user stats !"); 

if ($event == "stopped")
{
	
	if (isset($self))
	{
		mysql_query("DELETE FROM ".$dbprfx."torrents_peers WHERE $selfwhere") or err("Error: ".mysql_error());
		if (mysql_affected_rows())
		{
			if ($seeder == "yes")
				$updateset[] = "seeders = seeders - 1";
			else
				$updateset[] = "leechers = leechers - 1";
		}

		//mysql_query("UPDATE ".$dbprfx."members SET ulspeed = $ulspeed, dlspeed = $dlspeed, uploaded = uploaded + $diff_uploaded, downloaded = downloaded + $diff_downloaded , last_action = NOW() WHERE id=$az[id]") or err("Error: cannot report user stats !"); 
	}
}
else
{
	if ($event == "completed")
		$updateset[] = "completed = completed + 1";

	if (isset($self))
	{
		
		
		mysql_query("UPDATE ".$dbprfx."torrents_peers SET ip = '" . mysql_escape_string($ip) . "', port = $port, uploaded = $uploaded, downloaded = $downloaded, lastup = $last_uploaded, lastdl = $last_downloaded, ulspeed = $ulspeed, dlspeed= $dlspeed, to_go = $left, last_action = NOW(), seeder = '$seeder' WHERE $selfwhere");
		if (mysql_affected_rows() && $self["seeder"] != $seeder)
		{
			if ($seeder == "yes")
			{
				$updateset[] = "seeders = seeders + 1";
				$updateset[] = "leechers = leechers - 1";
			}
			else
			{
				$updateset[] = "seeders = seeders - 1";
				$updateset[] = "leechers = leechers + 1";
			}
		}
	}
	else
	{
		// should be desactivated if you experience slow down and connection problems to server
		/*
		$sockres = @fsockopen($ip, $port, $errno, $errstr, 5);
		if (!$sockres)
			$connectable = "no";
		else
		{
			$connectable = "yes";
			@fclose($sockres);
		}*/
		$connectable = "yes";
		
		$ret = mysql_query("INSERT INTO ".$dbprfx."torrents_peers (passkey, connectable, torrent, peer_id, ip, port, uploaded, downloaded, to_go, started, last_action, seeder) VALUES ('$passkey','$connectable', $torrentid, '" . mysql_escape_string($peer_id) . "', '" . mysql_escape_string($ip) . "', $port, $uploaded, $downloaded, $left, NOW(), NOW(), '$seeder')") or err("Error: ".mysql_error()); 
		
		if ($ret)
		{
			if ($seeder == "yes")
				$updateset[] = "seeders = seeders + 1";
			else
				$updateset[] = "leechers = leechers + 1";
		}
	}
	
	//mysql_query("UPDATE ".$dbprfx."members SET ulspeed = $ulspeed, dlspeed = $dlspeed, uploaded = uploaded + $diff_uploaded, downloaded = downloaded + $diff_downloaded , last_action = NOW() WHERE id=$az[id]") or err("Error: cannot report user stats !"); 
}

if ($seeder == "yes")
{
	if ($torrent["banned"] != "yes")
		$updateset[] = "visible = 'yes'";
	$updateset[] = "last_action = NOW()";
}

if (count($updateset))
	mysql_query("UPDATE ".$dbprfx."torrents SET " . join(",", $updateset) . " WHERE id = $torrentid") or err("Error: ".mysql_error());

benc_resp_raw($resp);

?>
