<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/


class bbcode
	{
	
	function parse($text)
		{
		global $db,$dbprfx,$SITEURL;
		$text = str_replace("\n", '<br>', $text);
		$text = preg_replace('/\[CODE\](.+)\[\/CODE\]/siU', '
			<center>
			<table style="border: #000000 1px solid" cellspacing="0" width="90%">
			<tr><td bgcolor="#FFFFFF"><font style="color: #000000"><b>Code:</b><br><pre>\\1</pre></font></td></tr>
			</table>
			</center>
		', $text);
		$text = preg_replace('/\[QUOTE\](.+)\[\/QUOTE\]/siU', '
			<center>
			<table width="90%" style="border: #000000 1px solid" cellspacing="0" width="90%">
			<tr><td bgcolor="#FFFFFF"><font style="color: #000000"><b>Quote:</b><br>\\1</font></td></tr>
			</table>
			</center>
		', $text);
		$text = preg_replace('/\[B\](.+)\[\/B\]/siU', '<b>\\1</b>', $text);
		$text = preg_replace('/\[I\](.+)\[\/I\]/siU', '<i>\\1</i>', $text);
		$text = preg_replace('/\[U\](.+)\[\/U\]/siU', '<u>\\1</u>', $text);
		$text = preg_replace('/\[S\](.+)\[\/S\]/siU', '<s>\\1</s>', $text);
		$text = preg_replace('/\[URL=(.+)\](.+)\[\/URL\]/siU', '<a href="\\1" target="_blank">\\2</a>', $text);
		$text = preg_replace('/\[URL\](.+)\[\/URL\]/siU', '<a href="\\1" target="_blank">\\1</a>', $text);
		$text = preg_replace('/\[EMAIL\]([a-zA-Z0-9]+)\@([a-zA-Z0-9]+)\.([a-zA-Z]+)\[\/EMAIL\]/siU', '<a href="mailto:\\1@\\2.\\3">\\1@\\2.\\3</a>', $text);
		$text = preg_replace('/\[IMG\](\r\n|\r|\n)*((http|https):\/\/([^;<>\*\(\)\"]+)|[a-z0-9\/\\\._\- ]+)\[\/IMG\]/siU', '<img src="\\2" border="0" alt="image">', $text);
		$text = preg_replace('/\[COLOR=(.+)\](.+)\[\/COLOR\]/siU', '<font color="\\1">\\2</font>', $text);
		$text = preg_replace('/\[SIZE=([0-9]+)\](.+)\[\/SIZE\]/siU', '<font style="font-size: \\1">\\2</font>', $text);
		$text = preg_replace('/\[FACE=(.+)\](.+)\[\/FACE\]/siU', '<font style="font-family: \\1">\\2</font>', $text);

		/* smilies */
		$result = $db->query("SELECT * FROM ".$dbprfx."shoutbox_emoticons ORDER BY id DESC");
		while($row = $db->fetch_array($result))
			{
				$text = str_replace($row['text'], "<img src='".$SITEURL."/images/shoutbox/" . $row['image'] . "' border='0'>", $text);
			}

		/* replacements */
		$result = $db->query("SELECT * FROM ".$dbprfx."shoutbox_censor");
		while($row = $db->fetch_array($result))
			{
				$text = str_replace($row['word'], '[censored]', $text);
			}
		return $text;
		}

	function show_toolbar($form_name, $element_name)
		{
		$toolbar =  "
		<script language='javascript'>
		<!-- Begin
		/* Code taken from http://actuel.fr.selfhtml.org/articles/javascript/bbcode/ */
		function addText(repdeb, repfin) {
		  var input = document.$form_name.$element_name;
		  input.focus();
		  /* pour l'Explorer Internet */
		  if(typeof document.selection != 'undefined') {
		    /* Insertion du code de formatage */
		    var range = document.selection.createRange();
		    var insText = range.text;
		    range.text = repdeb + insText + repfin;
		    /* Ajustement de la position du curseur */
		    range = document.selection.createRange();
		    if (insText.length == 0) {
		      range.move('character', -repfin.length);
		    } else {
		      range.moveStart('character', repdeb.length + insText.length + repfin.length);
		    }
		    range.select();
		  }
		  /* pour navigateurs plus rcents bass sur Gecko*/
		  else if(typeof input.selectionStart != 'undefined')
		  {
		    /* Insertion du code de formatage */
		    var start = input.selectionStart;
		    var end = input.selectionEnd;
		    var insText = input.value.substring(start, end);
		    input.value = input.value.substr(0, start) + repdeb + insText + repfin + input.value.substr(end);
		    /* Ajustement de la position du curseur */
		    var pos;
		    if (insText.length == 0) {
		      pos = start + repdeb.length;
		    } else {
		      pos = start + repdeb.length + insText.length + repfin.length;
		    }
		    input.selectionStart = pos;
		    input.selectionEnd = pos;
		  }
		  /* pour les autres navigateurs */
		  else
		  {
		    /* requte de la position d'insertion */
		    var pos;
		    var re = new RegExp('^[0-9]{0,3}$');
		    while(!re.test(pos)) {
		      pos = prompt(\"Insertion  la position (0..\" + input.value.length + \"):\", \"0\");
		    }
		    if(pos > input.value.length) {
		      pos = input.value.length;
		    }
		    /* Insertion du code de formatage */
		    var insText = prompt(\"Veuillez entrer le texte  formater:\");
		    input.value = input.value.substr(0, pos) + repdeb + insText + repfin + input.value.substr(pos);
		  }
		}
			
		//  End -->
		</script>
		<table width='100%' border='0' cellspacing='0' cellpadding='0'>
		<tr><td>
		<div style='margin-top: 5; margin-bottom: 5'>
		<input type='button' value='Bold' style='font-weight: bold' onclick=\"addText('[B]','[/B]');\">
		<input type='button' value='Italic' style='font-style: italic' onclick=\"addText('[I]','[/I]');\">
		<input type='button' value='Underline' style='text-decoration: underline' onclick=\"addText('[U]','[/U]');\">
		<input type='button' value='Strike' style='text-decoration: line-through' onclick=\"addText('[S]','[/S]');\">
		<input type='button' value='http://' onclick=\"addText('[URL=',''); addText(']','[/URL]');\">
		<input type='button' value='IMG' onclick=\"addText('[IMG]','[/IMG]');\">
		<input type='button' value='Email' onclick=\"addText('[EMAIL]','[/EMAIL]');\">
		<input type='button' value='Quote' onclick=\"addText('[QUOTE]','[/QUOTE]');\">
		<input type='button' value='Code' onclick=\"addText('[CODE]','[/CODE]');\">
		</div>
		<div style='margin-top: 5; margin-bottom: 5'>
		<select name='face' onchange=\"addText('[FACE=' + value + ']','[/FACE]');\">
		<option value=''>Font</option>
		<option value='arial'>Arial</option>
		<option value='times'>Times</option>
		<option value='courier' style='font: courier;'>Courier</option>
		<option value='impact'>Impact</option>
		<option value='geneva'>Geneva</option>
		<option value='optima'>Optima</option>
		<option value='verdana'>Verdana</option>
		</select>
		<select name='size' onchange=\"addText('[SIZE=' + value + ']','[/SIZE]');\">
		<option value=''>Size</option>
		<option value='8'>Smallest</option>
		<option value='10'>Small</option>
		<option value='14'>Large</option>
		<option value='16'>Largest</option>
		</select>
		<select name='color' onchange=\"addText('[COLOR=' + value + ']','[/COLOR]');\">
		<option value=''>Color</option>
		<option value='#DD0000' style='color: #DD0000;'>Red</option>
		<option value='#FF9900' style='color: #FF9900;'>Orange</option>
		<option value='#33CC00' style='color: #33CC00;'>Green</option>
		<option value='#3300FF' style='color: #3300FF;'>Blue</option>
		<option value='#660066' style='color: #660066;'>Purple</option>
		<option value='#FFFF00' style='color: #FFFF00;'>Yellow</option>
		<option value='#797979' style='color: #797979;'>Grey</option>
		<option value='#FF99CC' style='color: #FF99CC;'>Pink</option>
		</select>
		</div>
		</td></tr>
		</table>";
		return $toolbar;
		}
		


	function show_smilies($form_name, $element_name)
		{
		global $db,$dbprfx,$SITEURL;
		$result = $db->query("SELECT * FROM ".$dbprfx."shoutbox_emoticons LIMIT 22");
		$toolbar = '';
		while($row = $db->fetch_array($result))
			{
			$toolbar .=  "<a href=\"javascript:addText(' " . $row['text'] . "',' ')\"><img src='".$SITEURL."/images/shoutbox/" . $row['image'] . "' border='0'></a> ";
			}
		return $toolbar;
		}


	}

$bbcode = new bbcode();
?>