<?php
/**
 * TorrentTrader v2.0 RC1
 *  - Coded by Sqrtboy (sqrtboy@phpsoft.org)
 *  - Released under the GPL licence
 *  - Support/Hacks/Discussion @ http://www.torrenttrader.com
 *  - Email: sqrtboy@phpsoft.org
 **/
 
/* Special thanks to PseudoX (pseudox@gmail.com) for the original source code */
 
session_start();
require_once('core.php');

// SET TO TRUE TO CENSOR WORDS
$CENSORWORDS = true;

$del =  isset($_GET['del']) ? addslashes($_GET['del']) : '';
$message = isset($_POST['message']) ? addslashes($_POST['message']) : '';
$history =  isset($_GET['history']) ? (int)$_GET['history'] : false;
$page =   isset($_GET['history']) ?  (int)$_GET['page'] : false;
$order =  isset($_GET['order']) ? (string)$_GET['order'] : '';

switch ($order)
{
case "ASC" :
$order = "ASC";
break;
default :
$order="DESC";
break;

}


function MakeSQLSafe($msg)
{

//this will allow all punctuation in the message, and also prevent sql injection.

$msg = str_replace("'", '&#39;', $msg);
$msg = str_replace("--", '&#45;&#45;', $msg);

return $msg;
};

function MakeHTMLSafe($msg)
{
//this will stop people from using javascript and html tags in their posts.

$msg = str_replace('<', '&lt;', $msg);
$msg = str_replace('>', '&gt;', $msg);
$msg = str_replace('javascript:', 'javascript&#58;', $msg);

//replace [url] tags with a proper link
$msg = preg_replace("/\[url\]([^[]+)\[\/url\]/i","<a href=\"\\1\" target=\"_blank\">\\1</a>",$msg);

return $msg;
}

//deleting msges
if ($del != '')
{

	$result = $db->query("SELECT * FROM ".$dbprfx."shoutbox WHERE date='".MakeSQLSafe($del)."' LIMIT 1");

	$row = $db->fetch_array($result);
		if ( (is_in_group($CURUSER['groups'],"Moderator")) || ($CURUSER['username'] == $row['user']) )
		{
			$db->query("DELETE FROM ".$dbprfx."shoutbox WHERE date='".MakeSQLSafe($del)."'");
		}


}



//adding msges
if ($message != '')
	{

		if (isset($CURUSER))
		{

		//this will check to see if there has already been an identical message posted (preventing double posts)
		$num_msg = $db->count_rows("SELECT * FROM ".$dbprfx."shoutbox WHERE message='".MakeSQLSafe($_POST['message'])."'");

		if ($num_msg == '0')
		{

		//add the message if all is ok. (not a doublepost)
		$db->query("INSERT INTO ".$dbprfx."shoutbox (user, message, date, userid) VALUES ('".$CURUSER['username']."', '".MakeSQLSafe($_POST['message'])."', NOW(), '".$CURUSER['id']."')");

		}
		}
	}


?>
<HTML>
<HEAD>
<TITLE>Torrent Trader v1 Shoutbox</TITLE>
<META HTTP-EQUIV="refresh" content="300">
<style>
BODY {
font-family: verdana;
color: black;
float: middle;
}

DIV.contain {
border: 0;
height: 100;
width: 100%;
overflow: auto;
align: middle;
}

DIV.history {
border: 0;
height: 100%;
width: 100%;
align: middle;
}

TR.messageboxback {
background-color: White;
}

TR.noalt {
background-color: White;
}

TR.alt {
background-color: AliceBlue;
}

INPUT.msgbox {
width: 100%;
font-size: 12px;
background-color: AliceBlue;
border: 1px solid black;
}

INPUT.shoutbtn {
width: 100%;
font-size: 12px;
background-color: AliceBlue;
border: 1px solid black;
font-weight: bold;
}

.error {
color: red;
font-size: 13px;
}
</style>
</HEAD>
<?
echo '<BODY>';
?>
<SCRIPT LANGUAGE="JAVASCRIPT">
<!--
function GiveMsgBoxFocus()
{
document.ttshoutform.message.focus();
}

function ShowHistory() {
  var ShoutBoxWindow = window.open("<?=$SITEURL?>/tt.shout.php?history=1", "ShoutBox","width=600,height=400,resizable=yes,scrollbars=yes,toolbar=no,location=no,directories=no,status=no");
}
//-->
</SCRIPT>
<?
if($history != 1)
{
echo '
<div class="contain">
<table border="0" style="width: 99%; table-layout:fixed">';
}
else
{
echo '
<div class="history">';

//page numbers
$num_rows = $db->count_rows("SELECT * FROM ".$dbprfx."shoutbox");
echo '<div align="middle">Pages: ';
$pages = round($num_rows  / 100) + 1;
$i = 1;
while ($pages > 0)
{
echo "<a href='tt.shout.php?history=1&page=".$i."'>[".$i."]</a>&nbsp;";
$i++;
$pages--;
}

echo '
</div></br><table border="0" style="width: 99%; table-layout:fixed">';
}

if ($history ==1)
{
	if (isset($page))
	{
		if($page > '1')
		{
		$lowerlimit = $page * 100 - 100;
		$upperlimit = $page * 100;
		}
		else
		{
		$lowerlimit = 0;
		$upperlimit = 100;
		}
	}
	else
	{
		$lowerlimit = 0;
		$upperlimit = 100;
	}

	$query = "SELECT * FROM ".$dbprfx."shoutbox ORDER BY date $order LIMIT ".$lowerlimit.", ".$upperlimit;
}
else
{
	$query = "SELECT * FROM ".$dbprfx."shoutbox ORDER BY date $order LIMIT 70";
}

$alt = false;
$que =  $db->query($query);
while ($row = $db->fetch_array($que)) {


//alternate the colours
if ($alt)
{
	echo '<tr class="noalt">';
	$alt = false;
}
else
{
	echo '<tr class="alt">';
	$alt = true;
}

echo '<td style="font-size: 8px; width: 105px;">';
echo "<div align='left' style='float: left'>";

echo $row['date'];

echo "</div>";
if ( (is_in_group($CURUSER['groups'],"Moderator")) || ($CURUSER['username'] == $row['user']) )
{
echo "<div align='right' style='float: right'><a href='tt.shout.php?del=".$row['date']."' style='font-size: 8px'>[D]</a><div>";
}



echo	'</td><td style="font-size: 12px; padding-left: 5px">
<a href="tt.user.profile.php?id='.$row['userid'].'" target="_parent"><b><font color='.color_group($users[$row['userid']]['groups']).'>'.$row['user'].'</font></a>:</b>
&nbsp;&nbsp;'.$bbcode->parse(nl2br(MakeHTMLSafe($row['message'])));

echo	'</td></tr>';


}
?>

</table>
</div>
<?
//if the user is logged in, show the shoutbox, if not, dont.
if($history != 1)
{

if (!isset($CURUSER)) $disabled = 'DISABLED';
        else $disabled = '';

echo "
<table style='width: 100%'>
	<tr class='messageboxback'><form name='ttshoutform' action='tt.shout.php?order=$order' method='post'>
		<td width='100%' style='font-size: 9px';>";
		
		if (isset($CURUSER))
		{
		echo $bbcode->show_toolbar('ttshoutform', 'message');

		echo $bbcode->show_smilies('ttshoutform', 'message');
		}
		else
		{
		echo "You must <a href=\"tt.user.login.php\" target=\"_top\">login</a> in order to shout.";
		}
		echo"</td>
	</tr>
	<tr>
		<td width='100%'>
		<input type='text' name='message' class='msgbox' $disabled>
		</td>
		<td>
		<input type='submit' name='submit' value='Shout' class='shoutbtn' $disabled>
		</td>
		<td>
		<div style=\"width: 35px;\"><a href=\"".$PHP_SELF."?order=ASC\" ><img src=\"images/arrow-desc.png\" border=\"0\" alt=\"Order by Type ASC\"></a><a href=\"".$PHP_SELF."?order=DESC\" ><img src=\"images/arrow-asc.png\" border=\"0\" alt=\"Order by Type DESC\"></a></div>
		</td>
		<td style='font-size: 9px';>
		<a href='#' onclick='javascript:ShowHistory();'>History</a>
		</td>
	</tr></form>
</table>";

}

?>
</BODY>
</HTML>